      double precision function DOT(X,Y,N)
      implicit double precision (A-H,O-Z)
      include 'MOP6FILE'
      dimension X(*), Y(*)
************************************************************************
*
*   DOT FORMS THE SCALAR PRODUCT OF TWO VECTORS.
*
*   ON INPUT     X   =    FIRST VECTOR, OF LENGTH N.
*                Y   =    SECOND VECTOR, OF LENGTH N.
*
*   ON return    DOT =    DOT PRODUCT OF X AND Y.
*
************************************************************************
      DOT = 0.0D0
      do 10 I=1,N
   10 DOT = DOT + X(I)*Y(I)
      return
      end
